package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuApprovalsFactory
{
    private FeishuApprovalsFactory()
    {
    }
    public static IFeishuApprovals getRemoteInstance() throws BOSException
    {
        return (IFeishuApprovals)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("EF01A9A7") , IFeishuApprovals.class);
    }
    
    public static IFeishuApprovals getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuApprovals)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("EF01A9A7") , IFeishuApprovals.class, objectCtx);
    }
    public static IFeishuApprovals getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuApprovals)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("EF01A9A7"));
    }
    public static IFeishuApprovals getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuApprovals)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("EF01A9A7"));
    }
}